View Javadoc

    1
    2   package groovy.sql;
    3
    4   /***
    5    * @author rfuller
    6    *
    7    * A typed parameter to pass to a query
    8    */
    9   public interface InParameter {
    10  	/***
    11  	 * The JDBC data type.
    12  	 * @return
    13  	 */
    14  	public int getType();
    15  	/***
    16  	 * The object holding the data value.
    17  	 * @return
    18  	 */
    19  	public Object getValue();
    20  }